<?xml version="1.0" encoding="UTF-8" ?>

<node name="/" xmlns:tp="http://telepathy.freedesktop.org/wiki/DbusSpec#extensions-v0">
  <interface name="org.freedesktop.NetworkManager.Connection.Active">
    <property name="ServiceName" type="s" access="read">
      <tp:docstring>The D-Bus service name providing this connection.</tp:docstring>
    </property>
    <property name="Connection" type="o" access="read">
      <tp:docstring>The path of the connection.</tp:docstring>
    </property>
    <property name="SpecificObject" type="o" access="read">
      <tp:docstring>A specific object associated with the active connection.</tp:docstring>
    </property>
    <property name="Devices" type="ao" access="read">
      <tp:docstring>Array of object paths representing devices which are part of this active connection.</tp:docstring>
    </property>
    <property name="State" type="u" access="read" tp:type="NM_ACTIVE_CONNECTION_STATE">
      <tp:docstring>The state of this active connection.</tp:docstring>
    </property>
    <property name="Default" type="b" access="read">
      <tp:docstring>Whether this active connection is the default connection, i.e. whether it currently owns the default route.</tp:docstring>
    </property>

    <signal name="PropertiesChanged">
        <arg name="properties" type="a{sv}" tp:type="String_Variant_Map">
            <tp:docstring>
                A dictionary mapping property names to variant boxed values
            </tp:docstring>
        </arg>
    </signal>

    <tp:enum name="NM_ACTIVE_CONNECTION_STATE" type="u">
      <tp:enumvalue suffix="UNKNOWN" value="0">
        <tp:docstring>
          The active connection is in an unknown state.
        </tp:docstring>
      </tp:enumvalue>
      <tp:enumvalue suffix="ACTIVATING" value="1">
        <tp:docstring>
          The connection is activating.
        </tp:docstring>
      </tp:enumvalue>
      <tp:enumvalue suffix="ACTIVATED" value="2">
        <tp:docstring>
          The connection is activated.
        </tp:docstring>
      </tp:enumvalue>
    </tp:enum>
  </interface>
</node>

